## node-starttls 1.0.1

=== Makefile ===
test: lib/*.js node_modules
	./node_modules/.bin/mocha \
		--reporter dot \
		--check-leaks \
		--ui tdd

node_modules: package.json
	npm install
	touch $@

.PHONY: test

=== debian/changelog ===
node-starttls (1.0.1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 16:11:25 +0100

node-starttls (1.0.1-2) unstable; urgency=medium

  * fix tests (Closes: #819715)
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: use dh10

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 15 Sep 2017 18:58:32 +0200

node-starttls (1.0.1-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 29 Mar 2016 14:58:32 +0200

=== debian/control ===
Source: node-starttls
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends:
 debhelper (>= 10)
 , dh-buildinfo
 , nodejs
 , mocha
Standards-Version: 4.1.0
Homepage: https://github.com/mattcg/starttls
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-starttls.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-starttls.git

Package: node-starttls
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: upgrade a regular `net.Stream` connection to a secure `tls` connection
 This library has one method and accepts either an options hash or a 
 prepared socket as the first argument. It returns a SecurePair.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

#override_dh_auto_build:

override_dh_auto_test:
	# don't do anythin here, see README.Debian
	echo "do nothing"

=== debian/tests/control ===
Tests: require
Depends: node-starttls

=== debian/watch ===
version=3
# It is not recommended use fakeupstream. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
# See also fakeupstream: http://anonscm.debian.org/viewvc/qa/trunk/cgi-bin/fakeupstream.cgi?view=markup
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*=// \
 http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/starttls .*=starttls-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
